#ifndef TMHistogrammingCErrorEqChoice_H
#define TMHistogrammingCErrorEqChoice_H

#include "TMHistogramming.h"
#include <Rtypes.h>

struct eventHeaderStruct;
class HenrikClusterFinderSPD;
class TPad;

class TMHistogrammingCErrorEqChoice : public TMHistogramming {
 public:
  TMHistogrammingCErrorEqChoice();
  virtual ~TMHistogrammingCErrorEqChoice();

  virtual void   StartEvent(eventHeaderStruct *event, UInt_t globalEventNumber);
  virtual void   ProcessEvent(eventHeaderStruct *event);
  virtual void   ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);
  virtual void   ProcessCluster(Float_t x, Float_t y, Float_t z, UInt_t module, UInt_t size, UInt_t widz, UInt_t widphi, UInt_t type);
  virtual void   ProcessClusters(HenrikClusterFinderSPD* clFinder);
  virtual void   EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void   Draw(TPad *pad);

  virtual void   Reset();
  virtual void   ResetAuto();

  virtual void   SetCurrentErr(UInt_t err) = 0;
  virtual void   SetCurrentEq(UInt_t eq) = 0;

 protected:

};

#endif
